
%define plugin	games
%define name	vdr-plugin-%plugin
%define version	0.6.3
%define rel	9

Summary:	VDR plugin: OSD Games Collection
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://1541.org/
Source:		http://1541.org/public/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-games-0.6.2-finnish.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi

%description
This is the new vdr OSD games collection formaly known as the tetris plugin.
The collection currently contains Tetris, Tron, TicTacToe, Snake and
Minesweeper, more to come.

%prep
%setup -q -n %plugin-%version
%patch0 -p1 -b .fi

%build
%vdr_plugin_build libvdr-games.so CFLAGS="%{optflags} -fPIC -I%{_includedir}/vdr" -j1

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README TODO COPYING HISTORY


%changelog
* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-9mdv2007.0
+ Revision: 90929
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-8mdv2007.1
+ Revision: 74020
- rebuild for new vdr
- Import vdr-plugin-games



* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-7mdv2007.0
- rebuild for new vdr

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-6mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-5mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-4mdv2007.0
- rebuild for new vdr

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-3mdv2007.0
- rebuild for new vdr

* Sun Jun 04 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-2mdv2007.0
- rebuild for new vdr

* Thu Jun  1 2006 Anssi Hannula <anssi@mandriva.org> 0.6.3-1mdv2007.0
- initial Mandriva release
